jQuery(function($){
 "use strict";
   jQuery('.main-menu-navigation > ul').superfish({
     delay:       500,                            
     animation:   {opacity:'show',height:'show'},  
     speed:       'fast'                        
   });

});

function kindergarten_education_responsive_menu_open() {
	jQuery(".menu-brand").addClass('show');
}
function kindergarten_education_responsive_menu_close() {
	jQuery(".menu-brand").removeClass('show');
}

var kindergarten_education_Keyboard_loop = function (elem) {

    var kindergarten_education_tabbable = elem.find('select, input, textarea, button, a').filter(':visible');

    var kindergarten_education_firstTabbable = kindergarten_education_tabbable.first();
    var kindergarten_education_lastTabbable = kindergarten_education_tabbable.last();

    /*redirect last tab to first input*/
    kindergarten_education_lastTabbable.on('keydown', function (e) {
        if ((e.which === 9 && !e.shiftKey)) {
            e.preventDefault();
            kindergarten_education_firstTabbable.focus();
        }
    });

    /*redirect first shift+tab to last input*/
    kindergarten_education_firstTabbable.on('keydown', function (e) {
        if ((e.which === 9 && e.shiftKey)) {
            e.preventDefault();
            kindergarten_education_lastTabbable.focus();
        }
    });

    /* allow escape key to close insiders div */
    elem.on('keyup', function (e) {
        if (e.keyCode === 27) {
            elem.hide();
        }
        ;
    });
};

/**** Hidden search box ***/
jQuery('document').ready(function($){
    $('.main-search span a').click(function(){
        $(".searchform_page").slideDown(500);
        kindergarten_education_Keyboard_loop($('.searchform_page'));
    });

    $('.close a').click(function(){
        $(".searchform_page").slideUp(500);
    });
}); 

// scroll
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
	    if (jQuery(this).scrollTop() > 0) {
	        jQuery('#scrollbutton').fadeIn();
	    } else {
	        jQuery('#scrollbutton').fadeOut();
	    }
	});
	jQuery(window).on("scroll", function () {
	   document.getElementById("scrollbutton").style.display = "block";
	});
	jQuery('#scrollbutton').click(function () {
	    jQuery("html, body").animate({
	        scrollTop: 0
	    }, 600);
	    return false;
	});
});

jQuery(function($){
	$('.mobiletoggle').click(function () {
        kindergarten_education_Keyboard_loop($('.menu-brand'));
    });
});

// preloader
jQuery(function($){
    setTimeout(function(){
        $(".frame").delay(1000).fadeOut("slow");
    });
});

(function( $ ) {

	$(window).scroll(function(){
		var sticky = $('.sticky-header'),
		scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header');
		else sticky.removeClass('fixed-header');
	});

})( jQuery );

// sticky copyright
(function ($) {
    $(window).on('scroll', function () {
        var scroll = $(window).scrollTop();
        var sticky = $('.sticky-copyright');

        if (sticky.length) {
            if (scroll >= 100) {
                sticky.addClass('fixed-copyright');
            } else {
                sticky.removeClass('fixed-copyright');
            }
        }
    });
})(jQuery);

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const kindergarten_education_progressBar =
        document.getElementById("kindergarten_education_elemento_progress_bar");
    if (!kindergarten_education_progressBar) return;
    window.addEventListener("scroll", function () {
        const kindergarten_education_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const kindergarten_education_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const kindergarten_education_scrolled =
            (kindergarten_education_scrollTop / kindergarten_education_height) * 100;
        kindergarten_education_progressBar.style.width =
            kindergarten_education_scrolled + "%";
    });
});
